---
page_source: https://docs.juspay.io/paytm-gateway-configuration/docs/express-checkout/update-mobile-number
page_title: Update Mobile Number
---

## API Version: default


# Update Mobile Number



The API can be used to update the mobile number passed in create/authenticate API. ## Endpoints:
- Production: https://api.juspay.in/wallets/:walletId

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### version:
version should be >=2019-09-17
- Tags: string

#### Content-Type:
Should be application/x-www-form-urlencoded
- Tags: string
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location --request POST 'https://api.juspay.in/wallets/wlt_yvuidaupkvz3' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'version: 2023-06-30' \
--header 'Authorization: Basic MTkx*****RGODBDNDg2Og==' \
--data-urlencode 'command=update' \
--data-urlencode 'mobile_number=77777777'
```

### Sample Response:

#### Response:
```json
{
  "id": "wlt_yvuidaupkvz3",
  "object": "wallet_account",
  "wallet": "PAYTM",
  "token": null,
  "current_balance": null,
  "linked": false,
  "last_refreshed": null,
  "metadata": {
    "mobile_number": "77777777"
  },
  "gateway_reference_id": null
}
```

## Body Parameters:
### Parameters:

#### command:
- Description: The command should be update, for updating the mobile number
- Tags: string, Required

#### mobile_number:
- Description: The new/updated mobile number
- Tags: string, Required
## API Responses:
### 200:

#### id:
- Description: wlt_yvuidaupkvz3
- Tags: string

#### object:
- Description: wallet_account
- Tags: string

#### wallet:
- Description: PAYTM
- Tags: string

#### token:

#### current_balance:

#### linked:
- Tags: boolean

#### last_refreshed:

#### metadata:
- Value:
  - **Mobile_number**:
    - Description: 7777777777
    - Tags: string
- Tags: object

#### gateway_reference_id:
- Tags: String
